# [Django Corporate](https://app-generator.dev/docs/products/django-libs/theme-corporate.html)

Modern template for **Django Admin**, Auth Pages (registration included) crafted on top of **Corporate**, an open-source **Bootstrap** design.

- [Django Corporate](https://app-generator.dev/docs/products/django-libs/theme-corporate.html) - Documentation & Support Links
- [Django Corporate](https://app-generator.dev/product/corporate-dashboard/django/) - The product that uses the library
- [Getting Started with Django](https://app-generator.dev/docs/technologies/django/index.html) - Learn how to code **Django** Projects

<br />

## **Features**

- Design: **[Corporate](https://app-generator.dev/docs/templates/bootstrap/corporate.html)** (Bootstrap)
- **Sections Covered**: 
  - `Admin Section`, reserved for `superusers`
  - `All pages` managed by `Django.contrib.AUTH`
  - `Registration` page
  - `Misc pages`: colors, icons, typography, blank-page 
  
<br />

### Build a Starter with [Django App Generator - Corporate Design](https://app-generator.dev/tools/django-generator/corporate/)

- Access the [App Generator](https://app-generator.dev/tools/django-generator/) page
- Select **Corporate Dashboard** as the preferred design
- (Optional) Design Database: edit models and fields
- (Optional) Edit the fields for the extended user model
- (Optional) Enable OAuth for GitHub
- (Optional) Add Celery (async tasks)
- (Optional) Enable Dynamic API Module
- Docker Scripts
- Render CI/Cd Scripts

**The generated Django project is available as a ZIP Archive and also uploaded to GitHub.**

<br />

![Django Corporate - Modern template for Django Admin Section crafted on top of a modern Bootstrap, Open-Source Design.](https://github.com/user-attachments/assets/55f27009-2e46-433c-b2bc-4c0db1cd6c17)

<br />

## [Corporate PRO Version](https://app-generator.dev/product/corporate-dashboard-pro/django/)

> The premium version provides more features, priority on support, and is more often updated - [Live Demo](https://django-corporate-pro.onrender.com).

- **Simple, Easy-to-Extend** Codebase
- **Corporate Dashboard Design**, the PRO version. Section covered:
  - **Admin section** (reserved for superusers)
  - **Authentication**: `Django.contrib.AUTH`, Registration
  - **All Pages** available in for ordinary users 
- **Docker**
- **Deployment-Ready** for Render 

![Django Corporate  PRO - Premium Template Django Template integrated with Django.](https://github.com/user-attachments/assets/e2385055-3110-4842-b679-36c9a1060e48)

<br />

---
**[Django Corporate](https://app-generator.dev/docs/products/django-libs/theme-corporate.html)** - Modern Django Admin Interface provided by **[App-Generator](https://app-generator.dev)**
